Bug 865498 - Should drop Requires(post): chkconfig eventually
Should drop Requires(post): chkconfig eventually
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 11:16 EDT by Adam Jackson
Modified: 2012-12-20 11:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:01:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2012-10-11 11:16:31 EDT
F18's openssh-server has %triggerun scripts to handle migration from older versions of openssh-server.  So old, in fact, that they're older than what shipped in F16:

% koji -q latest-pkg f16 openssh
openssh-5.8p2-16.fc16.1                   f16                   jfch2222

Versus:

===
%triggerun -n openssh-server -- openssh-server < 5.8p2-12
/usr/bin/systemd-sysv-convert --save sshd >/dev/null 2>&1 || :
/bin/systemctl enable sshd.service >/dev/null 2>&1
/sbin/chkconfig --del sshd >/dev/null 2>&1 || :
/bin/systemctl try-restart sshd.service >/dev/null 2>&1 || :

%triggerpostun -n openssh-server-sysvinit -- openssh-server < 5.8p2-12
/sbin/chkconfig --add sshd >/dev/null 2>&1 || :
===

Upgrades that skip a release aren't supported, so this is probably safe to drop even in F18, but certainly should be dropped in F19.
Comment 1 Petr Lautrbach 2012-10-12 07:02:38 EDT
will be dropped in next F18 and rawhide openssh release. Thanks.
Comment 2 Fedora Update System 2012-10-29 06:48:01 EDT
openssh-6.1p1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openssh-6.1p1-2.fc18
Comment 3 Fedora Update System 2012-10-29 14:13:23 EDT
Package openssh-6.1p1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openssh-6.1p1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17159/openssh-6.1p1-2.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 11:01:46 EST
openssh-6.1p1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.